#ifndef NEWTON_H
#define NEWTON_H

#include <cstdio>

class newton
{
 private:
 double no, na, nb, nab, p, q,
    a, b, c, s1, s2;
  double *info;
  double *scvec;

 public:
  newton(int n_o, 
	 int n_a, 
	 int n_b, 
	 int n_ab
	 );
  ~newton();

  void summary();
  void result();
  void score();
  void infos();
  double p1();
  double q1();
};

#endif
