
#ifndef FISHER_H
#define FISHER_H

#include <cstdio>

class fisher
{
 private:
  double no, na, nb, nab, p, q,
    a, b, c, s1, s2;
  double *info;
  double *scvec;

 public:
  fisher(int n_o, 
	 int n_a, 
	 int n_b, 
	 int n_ab
	 );
   ~fisher();

  void summary();
  double result();
  void score();
  void infos();
  double p1();
  double q1();
};


#endif
